Skip to content
Dashboard

Update admin away state

PATCH/v2/admins/{id}/away

Updates an admin away state. awayReasonId uses a stable managed-reason ID. Omit it to preserve the current reason, or send null to clear the reason.

Path ParametersExpand Collapse
id: string
Header ParametersExpand Collapse
"Featurebase-Version": optional "2026-08-19.orbit" or "2026-01-01.nova" or "2025-12-12.clover"
One of the following:
"2026-08-19.orbit"
"2026-01-01.nova"
"2025-12-12.clover"
Body ParametersJSONExpand Collapse
enabled: boolean
awayReasonId: optional string
reassignReplies: optional boolean
ReturnsExpand Collapse
AdminAvailability object { adminId, automatic, away, 5 more }
adminId: string
automatic: boolean
away: boolean
changedAt: string
formatdate-time
lastActiveAt: string
formatdate-time
object: "admin_availability"
reason: object { id, label }
id: string
label: string
reassignReplies: boolean

Update admin away state

curl https://do.featurebase.app/v2/admins/$ID/away \
    -X PATCH \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $FEATUREBASE_API_KEY" \
    -d '{
          "enabled": true
        }'
{
  "adminId": "adminId",
  "automatic": true,
  "away": true,
  "changedAt": "2019-12-27T18:11:19.117Z",
  "lastActiveAt": "2019-12-27T18:11:19.117Z",
  "object": "admin_availability",
  "reason": {
    "id": "id",
    "label": "label"
  },
  "reassignReplies": true
}
Returns Examples
{
  "adminId": "adminId",
  "automatic": true,
  "away": true,
  "changedAt": "2019-12-27T18:11:19.117Z",
  "lastActiveAt": "2019-12-27T18:11:19.117Z",
  "object": "admin_availability",
  "reason": {
    "id": "id",
    "label": "label"
  },
  "reassignReplies": true
}